Bug 215902 - [hi_IN, mr_IN]Incorrect extent of 0x093f when attached to a composite character which has width greater than a single character (hi_IN & maybe others)
[hi_IN, mr_IN]Incorrect extent of 0x093f when attached to a composite charact...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 215903
  Show dependency treegraph
 
Reported: 2006-11-16 05:06 EST by Mayank Jain
Modified: 2008-09-09 07:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 07:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Problem description. (38.59 KB, image/png)
2006-11-16 05:06 EST, Mayank Jain
no flags Details

  None (edit)
Description Mayank Jain 2006-11-16 05:06:26 EST
Description of problem:
Incorrect extent of 0x093f when attached to a composite character which has
width greater than a single character (hi_IN & maybe others). According to the
language specifications, the matra 0x093f (ि) should get attached to the second
char in the composite char. Please see the screenshot attached.

When typing a combination like "kfpi" ( क्पि ) (hi-phonetic), it appears that the
matra "ि" is ending on "क" while in actual, it should appear ending on "प"

Version-Release number of selected component (if applicable):
fonts-hindi-2.0.6-1

How reproducible:
Everytime

Steps to Reproduce:
1. Open gedit, select hi-phonetic from scim
2. type "kfpi"
3. Compare the output with the screenshot.
  
Actual results:
0x093f ends on "क"

Expected results:
0x093f should end on "प"

Additional info:
Can this be solved with current font? ...just a concern.
Comment 1 Mayank Jain 2006-11-16 05:06:26 EST
Created attachment 141356 [details]
Problem description.
Comment 2 Bug Zapper 2008-05-13 22:28:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rahul Bhalerao 2008-09-09 07:54:56 EDT
Fixed in lohit-fonts-hindi-2.3.0

Note You need to log in before you can comment on or make changes to this bug.